/*  File FFPR.H  Header file for feedforward pattern recognition  */

#ifndef FFPR_H
#define FFPR_H

#include "pattern.h"
#include "ff.h"

/*  FFPDATA.C  */
void create_new_data_file (ff_setup_rec setup,
	    pattern_display_data *disp_data);

/*  FFPEDIT.C  */
void edit_data_file(ff_setup_rec setup,pattern_display_data *disp_data);

/*  FFPRUN.C  */
void run_pattern_network(ff_setup_rec setup,pattern_display_data *disp_data);

/*  FFPTRN.C  */
void create_training_file(ff_setup_rec setup,pattern_display_data *disp_data);

#endif